# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "omnigraph-cli"
version = "0.6.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "CLI for the Omnigraph graph database."
homepage = "https://github.com/ModernRelay/omnigraph"
documentation = "https://docs.rs/omnigraph-cli"
readme = false
license = "MIT"
repository = "https://github.com/ModernRelay/omnigraph"
resolver = "2"

[[bin]]
name = "omnigraph"
path = "src/main.rs"

[[test]]
name = "cli"
path = "tests/cli.rs"

[[test]]
name = "system_local"
path = "tests/system_local.rs"

[[test]]
name = "system_remote"
path = "tests/system_remote.rs"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.color-eyre]
version = "0.6"

[dependencies.omnigraph]
version = "0.6.0"
package = "omnigraph-engine"

[dependencies.omnigraph-compiler]
version = "0.6.0"

[dependencies.omnigraph-policy]
version = "0.6.0"

[dependencies.omnigraph-server]
version = "0.6.0"

[dependencies.reqwest]
version = "0.12"
features = [
    "json",
    "rustls-tls",
    "blocking",
]
default-features = false

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.serde_yaml]
version = "0.9"

[dependencies.tokio]
version = "1"
features = [
    "rt-multi-thread",
    "macros",
    "time",
    "net",
    "signal",
    "sync",
]

[dev-dependencies.assert_cmd]
version = "2"

[dev-dependencies.lance]
version = "6.0.1"
features = ["aws"]
default-features = false

[dev-dependencies.lance-index]
version = "6.0.1"

[dev-dependencies.predicates]
version = "3"

[dev-dependencies.serde_json]
version = "1"

[dev-dependencies.tempfile]
version = "3"
